Андроид P будет перекрыть приложения, предназначенные для андроид 4.1

Андроид P будет перекрыть приложения, предназначенные для андроид 4.1

В отличие от Apple, которая часто подчищает App Store, устраняя из магазина приложения, несовместимые с аппаратными возможностями новых iPhone, в Google Play такие программы продолжают работать.

Андроид P, следующая версия мобильной ОС Google, по-видимому, будет перекрыть приложения, предназначенные для андроид 4.1. Похожие изменения ожидаются и в лагере андроид. Ежели код писался в эпоху андроид 4.1 либо еще ранее до этого, а разработчик больше не выпускал обновлений, то Androi P будет считать такое приложение устаревшим. «Просмотрите наличие обновлений либо обратитесь к разработчику».

Стали известны некоторые детали о новоиспеченной ОС андроид P. В нём указывается минимально поддерживаемый уровень API, применяемый на устройстве.

На текущий момент минимальная версия API, поддерживаемая андроид P, имеет номер v17.

Перепечатывание материалов портала возможно только c указанием активной ссылки на сайт.
Редакция не несет ответственности за содержание рекламных баннеров.
Полное либо частичное использование материалов запрещено.
Рекламный отдел: contact@kinoinfa.ru.

Это имеет определённый смысл, так как старые приложения могут содержать некоторые уязвимости либо эксплойты. К примеру, в андроид 6.0 Marshmallow появилось не менее гибкое управление разрешениями, однако со старыми приложениями данная функция не работает.

Таким образом, приложения, которые были написаны для API не менее ранних версий, могут работать нестабильно (или вообще-то не работать).

Предполагается, что блокировка старых приложений появится в одной из новых бете-версий андроид P, которые будут выходить с промежутком в несколько недель.

Рекомендуем почитать